package com.ibm.j2ca.migration.sap.v602_to_v610;

import java.util.ArrayList;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IResource;

import com.ibm.j2ca.migration.IChange;
import com.ibm.j2ca.migration.changedata.ModuleChangeData;

public class SAPAppendXPath extends ModuleChangeData {
	public static final String COPYRIGHT = " Copyright IBM Corporation 2007."; //$NON-NLS-1$
	
	public ArrayList<IChange> createChanges(IResource resource, ModuleType [] projectModuleTypes) {
		ArrayList<IChange> changes = new ArrayList<IChange>();
		if(resource instanceof IFile) {
			IFile file = (IFile)resource;
			
			if(matchesModuleTypes(projectModuleTypes) && file.getFileExtension().equals("xsd")) {				
				changes.add(new SAPAppendXPathChange(file, this));
			}
		}
		return changes;
	}
}