package com.ibm.j2ca.migration.sap.v602_to_v610;

import org.eclipse.osgi.util.NLS;
import com.ibm.j2ca.migration.util.Util;

public class MigrationMessages extends NLS {
	public static final String BUNDLE_NAME = "com.ibm.j2ca.migration.sap.v602_to_v610.messages"; //$NON-NLS-1$
	
	public static String SAPAdapterNameFix_AdapterNameError_QuickFix;
	public static String SAPFunctionSelectorFix_FunctionSelectorError_QuickFix;
	public static String SAPAppendXPathChange_Details;
	public static String ConvertWBIASItoJCAASIForSAPChange_Description;
	public static String CreateBOWrapperForSAPChange_Description;
	public static String CreateBOWrapperBGForSAPChange_Description;
	public static String DeleteRenameBOForBAPIRSChange_Description;
	public static String AddqRFCQueueNameASIForSAP_Description;
	
	static {
		NLS.initializeMessages(BUNDLE_NAME, MigrationMessages.class);
	}
	
	public static String applyParameters(String string, String param) {
		return Util.applyParameters(string, new String[] { param });
	}

	public static String applyParameters(String string, String[] params) {
		return Util.applyParameters(string, params);
	}
}
